Loading...
Searching...
No Matches
servermon::ServerMonitor::ServerStatus Struct Reference

Server Reachability Status. More...

`import "ServerMonitor.idl";`

## Public Attributes

ServerPowerState | powerState
| Power control state.
ServerPowerControlResult | lastPowerControlResult
| Last result of a power control operation.
ServerReachability | reachable
| Reachability state.
time | lastRequest
| UNIX timestamp (UTC) of last request sent.
time | lastResponse
| UNIX timestamp (UTC) of last response received.
int | requests
| Number of requests sent.
int | responses
| Number of responses received.
int | failures
| Number of consecutive failed pings.
int | resumes
| Number of resumes.

## Detailed Description

Server Reachability Status.

Definition at line 88 of file ServerMonitor.idl.

## Member Data Documentation

## failures

int servermon::ServerMonitor::ServerStatus::failures

Number of consecutive failed pings.

Definition at line 96 of file ServerMonitor.idl.

## lastPowerControlResult

ServerPowerControlResult servermon::ServerMonitor::ServerStatus::lastPowerControlResult

Last result of a power control operation.

Definition at line 90 of file ServerMonitor.idl.

## lastRequest

time servermon::ServerMonitor::ServerStatus::lastRequest

UNIX timestamp (UTC) of last request sent.

Definition at line 92 of file ServerMonitor.idl.

## lastResponse

time servermon::ServerMonitor::ServerStatus::lastResponse

UNIX timestamp (UTC) of last response received.

Definition at line 93 of file ServerMonitor.idl.

## powerState

ServerPowerState servermon::ServerMonitor::ServerStatus::powerState

Power control state.

Definition at line 89 of file ServerMonitor.idl.

## reachable

ServerReachability servermon::ServerMonitor::ServerStatus::reachable

Reachability state.

Definition at line 91 of file ServerMonitor.idl.

## requests

int servermon::ServerMonitor::ServerStatus::requests

Number of requests sent.

Definition at line 94 of file ServerMonitor.idl.

## responses

int servermon::ServerMonitor::ServerStatus::responses

Number of responses received.

Definition at line 95 of file ServerMonitor.idl.

## resumes

int servermon::ServerMonitor::ServerStatus::resumes

Number of resumes.

Definition at line 97 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl